#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework knewstuff

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 module for downloading application assets
Name:           kf5-%framework
Version: 5.115.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5UiPlugin)

BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KIO) >= %version
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5Package)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5Attica)
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5Syndication)

Requires:       kirigami

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 3 module for downloading application assets.

%files -f %{framework}5.lang
%_kf5_categoriesdir/knewstuff.*categories
%_kf5_bindir/knewstuff-dialog
%_kf5_datadir/kf5/kmoretools
%_kf5_qmldir/org/kde/newstuff
%_qt5_plugindir/designer/knewstuffwidgets.so
%_kf5_datadir/applications/org.kde.knewstuff-dialog.desktop

#--------------------------------------------------------------------

%define kf5newstuff_major 5
%define libkf5newstuff %mklibname kf5newstuff %{kf5newstuff_major}

%package -n %libkf5newstuff
Summary:        KDE Frameworks 5 Tier 3 module for downloading application assets
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5newstuff
KDE Frameworks 5 Tier 3 module for downloading application assets.

%files -n %libkf5newstuff
%_kf5_libdir/libKF5NewStuff.so.%{kf5newstuff_major}{,.*}

#--------------------------------------------------------------------

%define kf5newstuffcore_major 5
%define libkf5newstuffcore %mklibname kf5newstuffcore %{kf5newstuffcore_major}

%package -n %libkf5newstuffcore
Summary:        KDE Frameworks 5 Tier 3 module for downloading application assets
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5newstuffcore
KDE Frameworks 5 Tier 3 module for downloading application assets.

%files -n %libkf5newstuffcore
%_kf5_libdir/libKF5NewStuffCore.so.%{kf5newstuffcore_major}{,.*}

#--------------------------------------------------------------------

%define kf5newstuffwidgets_major 5
%define libkf5newstuffwidgets %mklibname kf5newstuffwidgets %{kf5newstuffwidgets_major}

%package -n %libkf5newstuffwidgets
Summary:        KDE Frameworks 5 Tier 3 module for downloading application assets
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5newstuffwidgets
KDE Frameworks 5 Tier 3 module for downloading application assets.

%files -n %libkf5newstuffwidgets
%_kf5_libdir/libKF5NewStuffWidgets.so.%{kf5newstuffwidgets_major}{,.*}

#--------------------------------------------------------------------

%define kf5newstuff_devel %mklibname kf5newstuff -d

%package -n %kf5newstuff_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5newstuff = %version-%release
Requires:       %libkf5newstuffwidgets = %version-%release
Requires:	%libkf5newstuffcore = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5newstuff_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5newstuff_devel
%_kf5_includedir/KNewStuff3/
%_kf5_includedir/KMoreTools/
%_kf5_libdir/cmake/KF5NewStuff/
%_kf5_libdir/cmake/KF5NewStuffCore/
%_kf5_libdir/cmake/KF5NewStuffQuick/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{framework}5



%changelog
* Mon Feb 12 2024 daviddavid <daviddavid> 5.115.0-1.mga10
+ Revision: 2040578
- New version 5.115.0

* Sat Jan 20 2024 daviddavid <daviddavid> 5.114.0-1.mga10
+ Revision: 2032327
- New version 5.114.0

* Sat Jan 06 2024 daviddavid <daviddavid> 5.113.0-1.mga10
+ Revision: 2028351
- New version 5.113.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952061
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947864
- New version 5.104.0

* Tue Feb 14 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941944
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935020
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922268
- New version 5.101.0

* Mon Nov 28 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1912028
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900239
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887675
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880621
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-2.mga9
+ Revision: 1872158
- Add syndication support

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1872059
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853241
- New version 5.93.0

* Sat Apr 09 2022 neoclust <neoclust> 5.92.0-3.mga9
+ Revision: 1848399
- Add missing requires on libs in the devel package

* Sat Apr 09 2022 neoclust <neoclust> 5.92.0-2.mga9
+ Revision: 1848263
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754849
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749100
- New version 5.87.0

* Fri Oct 01 2021 neoclust <neoclust> 5.86.0-1.mga9
+ Revision: 1747060
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735282
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723475
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714869
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702047
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691139
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653354
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633206
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625629
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612840
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603110
- New version 5.72.0

* Wed Jun 17 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1593870
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582031
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566522
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556698
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-3.mga8
+ Revision: 1546797
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 daviddavid <daviddavid> 5.67.0-2.mga8
+ Revision: 1490245
- re-upload new fixed tarball

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486835
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466245
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457630
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1451012
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444824
- New version 5.62.0

* Fri Jul 12 2019 daviddavid <daviddavid> 5.60.0-2.mga8
+ Revision: 1420613
- rebuild for arm

* Fri Jul 12 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420572
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386952
- New version 5.57.0

* Sun Mar 31 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1382700
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374584
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364554
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356677
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339233
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318980
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1298602
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1248545
- New version 5.49.0

* Tue May 22 2018 daviddavid <daviddavid> 5.46.0-2.mga7
+ Revision: 1231407
- enable KF5Kirigami2 support

* Sun May 20 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1230573
- New version 5.46.0
- Move translations out of the lib package

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192299
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1182349
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1161255
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140417
- New version 5.37.0

* Fri Jul 21 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1125869
- New version 5.36.0

* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-2.mga6
+ Revision: 1089414
- Rebuild for armv5

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088981
- New version 5.32.0

* Wed Dec 14 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074924
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072217
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058372
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050549
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045127
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041349
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021947
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014357
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999649
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986342
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942266
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921295
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913094
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909888
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900460
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899532
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898939
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888179
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881403
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862964
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862693
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853948
- New version 5.12.0

* Mon Jun 29 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 847629
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803370
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 743792
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681139
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660442
- New version 5.1.0

* Mon Jul 14 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 652241
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0

* Sun Apr 06 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 612217
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599827
- New version 4.97.0

* Wed Feb 26 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597480
- imported package knewstuff

